Subject: [Slim] Ticket 31

From: Natasha Rooney <[email-masked]>
Date: Tue, 28 Mar 2017 20:14:28 +0000

https://trac.ietf.org/trac/slim/ticket/31#comment:1

Hi all!

The ticket review continues! Ticket 31 addresses whether there is a need for a SIP code response for a call failure. Checking the IANA SIP registry is does not seem like there is a response code for language negotiation failure. Shall we request that a new one be added, if so, what should it be?

https://www.iana.org/assignments/sip-parameters/sip-parameters.xhtml#sip-parameters-7

Thanks!

Natasha Rooney | Internet Engineering Director | Internet and Web Team | Technology | GSMA | [email-masked]<mailto:[email-masked]> | +44 (0) 7730 219 765 | @thisNatasha | Skype: [email-masked]<mailto:[email-masked]>

This email and its attachments are intended for the above named only and may be confidential. If they have come to you in error you must take no action based on them, nor must you copy or show them to anyone; please reply to this email or call +44 207 356 0600 and highlight the error.

---

From: "Drage, Keith (Nokia - GB)" <[email-masked]>
Date: Tue, 28 Mar 2017 21:56:54 +0000

What has failed.

If this is failure to negotiate a session description using SDP, then that is not directly a SIP failure, and does not directly merit an individual SIP response code.

So SIP defines a general error for an SDP failure, which is a 488, where RFC 3261 makes the following requirement:

"A UAS rejecting an offer contained in an INVITE SHOULD return a 488
   (Not Acceptable Here) response.  Such a response SHOULD include a
   Warning header field value explaining why the offer was rejected.
"

606 may also be appropriate in some cases where the UAS considers that all UAS will have the same problem.

Further RFC 3261 goes on to say:

"   A message body containing a description of media capabilities MAY be

   present in the response, which is formatted according to the Accept

   header field in the INVITE (or application/sdp if not present), the

   same as a message body in a 200 (OK) response to an OPTIONS request.
"

Of course if you are referring to a failure outside the SDP, then please clarify.

Regards

Keith

From: SLIM [mailto:[email-masked]] On Behalf Of Natasha Rooney
Sent: 28 March 2017 21:14
To: [email-masked]
Subject: [Slim] Ticket 31

Hi all!

Thanks!

---

From: Randall Gellens <[email-masked]>
Date: Tue, 28 Mar 2017 16:41:45 -0700

This has already been discussed on the list and fixed in the draft. 
The draft added text suggesting which SIP response code to use, and 
added a SIP warning code to the IANA registry.  IANA was informed of 
the change.  The current draft includes in Section 5.3:

    If the call is rejected due to lack of any languages in common, it is
    suggested to use SIP response code 488 (Not Acceptable Here) or 606
    (Not Acceptable) [RFC3261] and include a Warning header field
    [RFC3261] in the SIP response.  The Warning header field contains a
    warning code of [TBD: IANA VALUE, e.g., 308] and a warning text
    indicating that there are no mutually-supported languages; the text
    SHOULD also contain the supported languages and media.

    Example:

       Warning:  [TBD: IANA VALUE, e.g., 308] proxy.example.com
          "Incompatible language specification: Requested languages not
          supported.  Supported languages are: es, en; supported media
          are: audio, text."

And in Section 6.2 (within the IANA Considerations section):

6.2.  Warn-Codes Sub-Registry of SIP Parameters

    IANA is requested to add a new value in the warn-codes sub-registry
    of SIP parameters in the 300 through 329 range that is allocated for
    indicating problems with keywords in the session description.  The
    reference is to this document.  The warn text is "Incompatible
    language specification: Requested languages not supported.  Supported
    languages and media are: [list of supported languages and media]."

--Randy

At 8:14 PM +0000 3/28/17, Natasha Rooney wrote:

>  The ticket review continues! Ticket 31 addresses whether there is a 
> need for a SIP code response for a call failure. Checking the IANA 
> SIP registry is does not seem like there is a response code for 
> language negotiation failure. Shall we request that a new one be 
> added, if so, what should it be?
>
> 
> <https://www.iana.org/assignments/sip-parameters/sip-parameters.xhtml#sip-parameters-7>https://www.iana.org/assignments/sip-parameters/sip-parameters.xhtml#sip-parameters-7
>
>  Thanks!
>
>
>  Natasha Rooney | Internet Engineering Director | Internet and Web 
> Team | Technology | GSMA 
> | <mailto:[email-masked]>[email-masked] | +44 (0) 7730 219 765 
> | @thisNatasha | Skype: <mailto:[email-masked]>[email-masked]
>
>  This email and its attachments are intended for the above named 
> only and may be confidential. If they have come to you in error you 
> must take no action based on them, nor must you copy or show them 
> to anyone; please reply to this email or call +44 207 356 0600 and 
> highlight the error.
>
>
>  _______________________________________________
>  SLIM mailing list
>  [email-masked]
>  https://www.ietf.org/mailman/listinfo/slim

-- 
Randall Gellens
Opinions are personal;    facts are suspect;    I speak for myself only
-------------- Randomly selected tag: ---------------
If Richard Branson had worn a pair of steel-rimmed glasses, a
double-breasted suit and shaved off his beard, I would have
taken him seriously. As it was I couldn't....
        --Lord King, Chairman, British Airways